Page MenuHomeFreeBSD

x11-wm/dwm: Update to 6.2
ClosedPublic

Authored by 0mp on Mar 1 2019, 12:44 PM.

Details

Summary
x11-wm/dwm: Update to 6.2

- Clean up MASTER_SITES (remove outdated websites)
- Set FREETYPEINC (now required to build) and VERSION in MARK_ARGS
- Use DISTVERSION instead of PORTVERSION for consistency
- Define a simple do-test target so that we can quickly test if the binary is at least not core dumping when started
- Improve the description of the VOLUMECONTROL option
- Replace config.mk patching with a post-configure target that makes the port respect user's CFLAGS, CPPFLAGS and LDFLAGS
- Rewrite the post-extract target using make(1) if syntax instead of sh(1) if syntax

New release announcement:
https://lists.suckless.org/dev/1902/33214.html
Test Plan
  • portlint
  • poudriere testport 11.2 (amd64, i386), 12.0 (amd64, i386)
  • manual testing on 13.0-CURRENT
  • make test exists just fine

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Mar 1 2019, 12:44 PM
mat added inline comments.Mar 2 2019, 11:10 AM
x11-wm/dwm/Makefile
63 ↗(On Diff #54576)

Put the whole target in the .if instead of creating an empty target if it's not there.

0mp updated this revision to Diff 54732.Mar 5 2019, 3:10 PM

Put the whole post-extract target in the .if instead of creating an empty target if it's not there.

0mp marked an inline comment as done.Mar 5 2019, 3:11 PM
mat added inline comments.Mar 12 2019, 8:03 PM
x11-wm/dwm/Makefile
55–60 ↗(On Diff #54732)

This should go after the extract target.

0mp updated this revision to Diff 55172.Mar 17 2019, 7:58 PM

Sort targets.

mat accepted this revision.Mar 17 2019, 9:23 PM
This revision is now accepted and ready to land.Mar 17 2019, 9:23 PM
This revision was automatically updated to reflect the committed changes.